#!perl -w

use strict;
use POSIX;
use FindBin;
use lib "$FindBin::Bin";
use TTProLicenses;
use GraphLicenses;

POSIX::nice(1) if $^O ne 'MSWin32';

# Location of data files
my $data_path = "$FindBin::Bin/data";
(-d $data_path) or mkdir $data_path, 775;

# These values must be changed for your own site
# The dbUser you select must have login access to 
# the license server 
my $dbHost   = "http://demo.seapine.com/scripts/ttsoapcgi.exe";
my $dbUser = 'soapguy';
my $dbPass = 'soapguy';

my $license_log = "$data_path/license.log";

# Collect the TestTrack Pro license usage
# print "Collecting data\n";
TTProLicenses->new(
    user => $dbUser,
    password => $dbPass,
    host => $dbHost,
    logfile => $license_log
)->collect();
 
# Create the TestTrack Pro license usage graphs
# print "Graphing today\n";
GraphLicenses->new('today')->graph($license_log)->save("$data_path/ttpro_today.png");

# print "Graphing the last week\n";
GraphLicenses->new('week')->graph($license_log)->save("$data_path/ttpro_week.png");

# print "Graphing the last month\n";
GraphLicenses->new('month')->graph($license_log)->save("$data_path/ttpro_month.png");

# print "Graphing the last year\n";
GraphLicenses->new('year')->graph($license_log)->save("$data_path/ttpro_year.png");

